summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--Makefile1
-rwxr-xr-xtests.sh7
-rw-r--r--tests/test_0122.out1
3 files changed, 8 insertions, 1 deletions
diff --git a/Makefile b/Makefile
index 0143857..b8d2b5b 100644
--- a/Makefile
+++ b/Makefile
@@ -33,6 +33,7 @@ LOCAL_CPPFLAGS := \
-D_ATFILE_SOURCE \
-D__EXTENSIONS__ \
-D_DARWIN_C_SOURCE \
+ -D_FILE_OFFSET_BITS=64 \
-DBFS_VERSION=\"$(VERSION)\"
LOCAL_CFLAGS := -std=c99
diff --git a/tests.sh b/tests.sh
index 3e936e0..3729133 100755
--- a/tests.sh
+++ b/tests.sh
@@ -755,9 +755,14 @@ function test_0121() {
bfs_diff -H times -mnewer times/l
}
+function test_0122() {
+ [ "$BSD" ] || return 0
+ bfs_diff basic -type f -size 1T
+}
+
result=0
-for i in {1..121}; do
+for i in {1..122}; do
test="test_$(printf '%04d' $i)"
if [ -t 1 ]; then
diff --git a/tests/test_0122.out b/tests/test_0122.out
new file mode 100644
index 0000000..279f3f1
--- /dev/null
+++ b/tests/test_0122.out
@@ -0,0 +1 @@
+basic/l/foo/bar/baz